account/urls.py
from django.urls import path, include
from . import views
from django.conf import settings
from django.conf.urls.static import static

app_name = 'account'

urlpatterns = [
    path('', views.profile, name='profile'),
    path('login/', views.login_view, name='login_view'),
    path('check/', views.check, name='check'),
    path('create_account/', views.create_account, name='create_account'),
    path('charge_account/<int:account_id>', views.charge_account, name='charge_account'),
    path('send_profile/<int:account_id>', views.send_profile, name='send_profile'),
    path('actions/', views.actions, name='actions'),
    path('change_chat_id/<int:profile_id>', views.change_chat_id, name='change_chat_id'),
]

api/urls.py
from django.urls import path
from . import views
from .views import MyTokenObtainPairView
from rest_framework.urlpatterns import format_suffix_patterns
from rest_framework_simplejwt.views import (
    TokenObtainPairView,
    TokenRefreshView,
)

app_name = 'api'

urlpatterns = [
    path('', views.getRoutes),
    path('token/', MyTokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('home/', views.HomeView.as_view(), name='home'),
    path('profile/', views.profile_api, name='profile_api'),
    path('superadmin/', views.superadmin_api, name='superadmin_api'),
    path('account/create/', views.create_account_api, name='create_account_api'),
    path('account/charge/', views.charge_account_api, name='charge_account_api'),
]

urlpatterns = format_suffix_patterns(urlpatterns)

base/urls.py
from django.urls import path, include
from . import views
from django.conf import settings
from django.conf.urls.static import static

app_name = 'base'

urlpatterns = [
    path('', views.home, name='home'),
]

handler404 = views.error_404_view

blog/urls.py
from django.urls import path, include
from . import views
from django.conf import settings
from django.conf.urls.static import static

app_name = 'blog'

urlpatterns = [
    path('blog/<int:choice>', views.blog, name='blog'),
    path('post_detail/<int:id>/', views.post_detail, name='post_detail'),
]

ovpn/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.contrib.auth import views as auth_views
from django.conf.urls.static import static
from rest_framework_simplejwt import views as jwt_views
import os

urlpatterns = [
    path('', include('base.urls')),
    path('messages/', include('drf_messages.urls')),
    path('blog/', include('blog.urls')),
    path('account/', include('account.urls')),
    path('admin/', admin.site.urls),
    path('superadmin/', include('superadmin.urls')),
    path('logout/', auth_views.LogoutView.as_view(template_name='account/login.html'), name='logout'),
    path('api/', include('api.urls')),
    path('token/',
          jwt_views.TokenObtainPairView.as_view(),
          name ='token_obtain_pair'),
    path('token/refresh/',
          jwt_views.TokenRefreshView.as_view(),
          name ='token_refresh'),

]


if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

base/models.py
from django.db import models

# Create your models here.

base/views.py
from django.shortcuts import render, get_object_or_404, redirect
from django.http import HttpResponse, HttpResponseRedirect, FileResponse
from django.urls import reverse
from django.conf import settings
from django.core.files.storage import FileSystemStorage
from django.contrib import messages
from blog.models import Post, Music, Image, File
from django.template import Context, loader

def error_404_view(request, exception):

    # we add the path to the 404.html file
    # here. The name of our HTML file is 404.html
    return render(request, 'base/404.html')

def home(request):
    messages.add_message(request, messages.INFO, "hello to api messages")
    return render(request, 'base/home.html')

# Create your views here.

base/templates/base/base.html
<!doctype html>
{% load static %}
{% get_static_prefix as STATIC_PREFIX %}
<!DOCTYPE html>
<html data-bs-theme='light'>
  <head>
  	<meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="{% static 'base/fd.png' %}">
      <title>Final VPN</title>
      <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
  </head>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>

  <style type="text/css">
    @media (prefers-color-scheme: light) {
      .tt {
        color: red;
      }
    }
    @media (prefers-color-scheme: dark) {
      data-bs-theme::after {
        content: attr('data-bs-theme') 'dark';
      }

      .tt {
        color: blue;
      }
    }
  </style>

  <body>
    <nav class="navbar navbar-expand-sm sticky-top bg-body-tertiary">
      <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'base:home' %}">Final VPN</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        	  <li class="nav-item">
        	    <a class="nav-link" href="{% url 'blog:blog' 5 %}">Blog</a>
        	  </li>
            {% if user.is_authenticated %}
            <hr>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'account:profile' %}">Profile</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'account:actions' %}">Actions</a>
              </li>
              <li class="nav-item">
                <a class="nav-link text-danger" href="{% url 'logout' %}">Log Out</a>
              </li>
            {% else %}
            <li class="nav-item">
              <a class="nav-link text-primary" href="{% url 'account:login_view' %}">Log in</a>
            </li>
            {% endif %}
          </ul>
        </div>
      </div>
    </nav>

    <br>

    <div class="container mt-3 mb-3">
      {% block content %}
      {% endblock %}
    </div>


  </body>
  <script type="text/javascript">


    if (window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches) {
      document.documentElement.setAttribute('data-bs-theme','dark')
    }
    else {
      document.documentElement.setAttribute('data-bs-theme','light')
    }

  </script>
  <style media="screen">
    $color-mode-type: media-query;

    @include color-mode(dark) {
    .element {
      color: var(--bs-primary-text-emphasis);
      background-color: var(--bs-primary-bg-subtle);
    }
    }
  </style>
</html>

base/templates/base/home.html
{% extends 'base/base.html' %}
{% block content %}
{% load static %}
{% get_static_prefix as STATIC_PREFIX %}

	<style type="text/css">
		.callout {
			border-left-color: green:
		}
	</style>
	<div class="">
		{% if messages %}
			{% for message in messages %}
				<div class="alert alert-danger">{{ messages }}</div>
			{% endfor %}
		{% endif %}
		<div class="p-3">
			<h3>Welcome to FinalVPN</h3>
			<p>between fast and secure, choose Final VPN !</p>
			<br>

			<div class="p-3 callout">
				<ul class="list-group">
				  <li class="list-group-item">Downloading openvpn App</li>
				  <li class="list-group-item"><a class="text-start text-decoration-none text-success" href="https://apps.apple.com/us/app/openvpn-connect-openvpn-app/id590379981"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-apple" viewBox="0 0 16 16">
  <path d="M11.182.008C11.148-.03 9.923.023 8.857 1.18c-1.066 1.156-.902 2.482-.878 2.516.024.034 1.52.087 2.475-1.258.955-1.345.762-2.391.728-2.43Zm3.314 11.733c-.048-.096-2.325-1.234-2.113-3.422.212-2.189 1.675-2.789 1.698-2.854.023-.065-.597-.79-1.254-1.157a3.692 3.692 0 0 0-1.563-.434c-.108-.003-.483-.095-1.254.116-.508.139-1.653.589-1.968.607-.316.018-1.256-.522-2.267-.665-.647-.125-1.333.131-1.824.328-.49.196-1.422.754-2.074 2.237-.652 1.482-.311 3.83-.067 4.56.244.729.625 1.924 1.273 2.796.576.984 1.34 1.667 1.659 1.899.319.232 1.219.386 1.843.067.502-.308 1.408-.485 1.766-.472.357.013 1.061.154 1.782.539.571.197 1.111.115 1.652-.105.541-.221 1.324-1.059 2.238-2.758.347-.79.505-1.217.473-1.282Z"/>
  <path d="M11.182.008C11.148-.03 9.923.023 8.857 1.18c-1.066 1.156-.902 2.482-.878 2.516.024.034 1.52.087 2.475-1.258.955-1.345.762-2.391.728-2.43Zm3.314 11.733c-.048-.096-2.325-1.234-2.113-3.422.212-2.189 1.675-2.789 1.698-2.854.023-.065-.597-.79-1.254-1.157a3.692 3.692 0 0 0-1.563-.434c-.108-.003-.483-.095-1.254.116-.508.139-1.653.589-1.968.607-.316.018-1.256-.522-2.267-.665-.647-.125-1.333.131-1.824.328-.49.196-1.422.754-2.074 2.237-.652 1.482-.311 3.83-.067 4.56.244.729.625 1.924 1.273 2.796.576.984 1.34 1.667 1.659 1.899.319.232 1.219.386 1.843.067.502-.308 1.408-.485 1.766-.472.357.013 1.061.154 1.782.539.571.197 1.111.115 1.652-.105.541-.221 1.324-1.059 2.238-2.758.347-.79.505-1.217.473-1.282Z"/>
</svg> OpenvVPN for Iphone</a></li>
				  <li class="list-group-item"><a class="text-start text-decoration-none text-success" href="{% static 'base/openvpn.apk' %}"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-android2" viewBox="0 0 16 16">
  <path d="m10.213 1.471.691-1.26c.046-.083.03-.147-.048-.192-.085-.038-.15-.019-.195.058l-.7 1.27A4.832 4.832 0 0 0 8.005.941c-.688 0-1.34.135-1.956.404l-.7-1.27C5.303 0 5.239-.018 5.154.02c-.078.046-.094.11-.049.193l.691 1.259a4.25 4.25 0 0 0-1.673 1.476A3.697 3.697 0 0 0 3.5 5.02h9c0-.75-.208-1.44-.623-2.072a4.266 4.266 0 0 0-1.664-1.476ZM6.22 3.303a.367.367 0 0 1-.267.11.35.35 0 0 1-.263-.11.366.366 0 0 1-.107-.264.37.37 0 0 1 .107-.265.351.351 0 0 1 .263-.11c.103 0 .193.037.267.11a.36.36 0 0 1 .112.265.36.36 0 0 1-.112.264Zm4.101 0a.351.351 0 0 1-.262.11.366.366 0 0 1-.268-.11.358.358 0 0 1-.112-.264c0-.103.037-.191.112-.265a.367.367 0 0 1 .268-.11c.104 0 .19.037.262.11a.367.367 0 0 1 .107.265c0 .102-.035.19-.107.264ZM3.5 11.77c0 .294.104.544.311.75.208.204.46.307.76.307h.758l.01 2.182c0 .276.097.51.292.703a.961.961 0 0 0 .7.288.973.973 0 0 0 .71-.288.95.95 0 0 0 .292-.703v-2.182h1.343v2.182c0 .276.097.51.292.703a.972.972 0 0 0 .71.288.973.973 0 0 0 .71-.288.95.95 0 0 0 .292-.703v-2.182h.76c.291 0 .54-.103.749-.308.207-.205.311-.455.311-.75V5.365h-9v6.404Zm10.495-6.587a.983.983 0 0 0-.702.278.91.91 0 0 0-.293.685v4.063c0 .271.098.501.293.69a.97.97 0 0 0 .702.284c.28 0 .517-.095.712-.284a.924.924 0 0 0 .293-.69V6.146a.91.91 0 0 0-.293-.685.995.995 0 0 0-.712-.278Zm-12.702.283a.985.985 0 0 1 .712-.283c.273 0 .507.094.702.283a.913.913 0 0 1 .293.68v4.063a.932.932 0 0 1-.288.69.97.97 0 0 1-.707.284.986.986 0 0 1-.712-.284.924.924 0 0 1-.293-.69V6.146c0-.264.098-.491.293-.68Z"/>
</svg> OpenVPN app for Androind</a></li>
<li class="list-group-item"><a class="text-start text-decoration-none text-success" href="{% static 'base/openvpn.msi' %}"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-windows" viewBox="0 0 16 16">
  <path d="M6.555 1.375 0 2.237v5.45h6.555V1.375zM0 13.795l6.555.933V8.313H0v5.482zm7.278-5.4.026 6.378L16 16V8.395H7.278zM16 0 7.33 1.244v6.414H16V0z"/>
</svg> OpenVPN app for Windows</a></li>
				</ul>
			</div>

			<h3>One config for all providers !</h3>
			<p>except that openvpn is work on all devices and operating systems also our configs is work with all intrernet providers such ad MCI, Irancell, Rightell...</p>


		</div>
	</div>
{% endblock %}